# Generated by Django 4.1.13 on 2024-05-09 03:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('terminal', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='terminal',
            name='user',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='terminal', to=settings.AUTH_USER_MODEL, verbose_name='Application User'),
        ),
        migrations.AddField(
            model_name='task',
            name='terminal',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='terminal.terminal'),
        ),
        migrations.AddField(
            model_name='status',
            name='terminal',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='terminal.terminal'),
        ),
        migrations.AddField(
            model_name='sessionsharing',
            name='creator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Creator'),
        ),
        migrations.AddField(
            model_name='sessionsharing',
            name='session',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='terminal.session', verbose_name='Session'),
        ),
        migrations.AddField(
            model_name='sessionreplay',
            name='session',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='terminal.session', verbose_name='Session'),
        ),
        migrations.AddField(
            model_name='sessionjoinrecord',
            name='joiner',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Joiner'),
        ),
        migrations.AddField(
            model_name='sessionjoinrecord',
            name='session',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='terminal.session', verbose_name='Session'),
        ),
        migrations.AddField(
            model_name='sessionjoinrecord',
            name='sharing',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='terminal.sessionsharing', verbose_name='Session sharing'),
        ),
        migrations.AddField(
            model_name='session',
            name='terminal',
            field=models.ForeignKey(db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='terminal.terminal'),
        ),
        migrations.AddField(
            model_name='endpointrule',
            name='endpoint',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='rules', to='terminal.endpoint', verbose_name='Endpoint'),
        ),
        migrations.AddField(
            model_name='appprovider',
            name='apps',
            field=models.ManyToManyField(through='terminal.VirtualAppPublication', to='terminal.virtualapp', verbose_name='Virtual app'),
        ),
        migrations.AddField(
            model_name='appprovider',
            name='terminal',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='app_provider', to='terminal.terminal', verbose_name='Terminal'),
        ),
        migrations.AddField(
            model_name='appletpublication',
            name='applet',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='publications', to='terminal.applet', verbose_name='Applet'),
        ),
        migrations.AddField(
            model_name='appletpublication',
            name='host',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='publications', to='terminal.applethost', verbose_name='Hosting'),
        ),
        migrations.AddField(
            model_name='applethostdeployment',
            name='host',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='terminal.applethost', verbose_name='Hosting'),
        ),
        migrations.AddField(
            model_name='applethost',
            name='applets',
            field=models.ManyToManyField(through='terminal.AppletPublication', to='terminal.applet', verbose_name='Applet'),
        ),
        migrations.AddField(
            model_name='applethost',
            name='terminal',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applet_host', to='terminal.terminal', verbose_name='Terminal'),
        ),
        migrations.AddField(
            model_name='applet',
            name='hosts',
            field=models.ManyToManyField(through='terminal.AppletPublication', to='terminal.applethost', verbose_name='Hosts'),
        ),
        migrations.AlterUniqueTogether(
            name='virtualapppublication',
            unique_together={('provider', 'app')},
        ),
        migrations.AlterUniqueTogether(
            name='appletpublication',
            unique_together={('applet', 'host')},
        ),
    ]
